## visad.data
Class BadFormException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.data.BadFormException

All Implemented Interfaces:
  Serializable

public class BadFormException
extends VisADException

Exception thrown when the form that the data is in is incorrect.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`BadFormException(String msg)`
`BadFormException(String msg, Throwable cause)`
`BadFormException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadFormException

    public BadFormException(String msg)

### BadFormException

    public BadFormException(String msg,
                            Throwable cause)

### BadFormException

    public BadFormException(Throwable cause)